phy_attach
Prev | PHY Support | Next

## Name

phy_attach — attach a network device to a particular PHY device

## Synopsis

`struct phy_device * phy_attach (` | struct net_device * | dev,
| const char * | phy_id,
| u32 | flags,
| phy_interface_t | interface`)`;

## Arguments

`dev`

  network device to attach

`phy_id`

  PHY device to attach

`flags`

  PHY device's dev_flags

`interface`

  PHY device's interface

## Description

Called by drivers to attach to a particular PHY device. The phy_device is found, and properly hooked up to the phy_driver. If no driver is attached, then the genphy_driver is used. The phy_device is given a ptr to the attaching device, and given a callback for link status change. The phy_device is returned to the attaching driver.

Prev | Up | Next
phy_disconnect | Home | phy_detach